Skip to main content
DELETE
/
v2
/
admin
/
call-campaigns
/
{campaignId}
Delete Campaign
curl --request DELETE \
  --url https://api.voxo.co/v2/admin/call-campaigns/{campaignId} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "tenantId": 123,
  "name": "<string>",
  "type": "<string>",
  "dateStart": "<string>",
  "dateEnd": "<string>",
  "callerId": "<string>",
  "callDelay": 123,
  "state": "<string>",
  "lastrun": "<string>",
  "dialtimeout": 123,
  "tech": "<string>",
  "message": "<string>",
  "timeStart": "<string>",
  "timeEnd": "<string>",
  "timezone": "<string>",
  "callFrequency": 123,
  "callHoursStart": "<string>",
  "callHoursEnd": "<string>",
  "recording": "<string>",
  "numbers": [
    {
      "number": "<string>",
      "description": "<string>",
      "disposition": "<string>"
    }
  ],
  "destinations": [
    {
      "typeSrc": "<string>",
      "destType": "<string>",
      "id": 123,
      "order": 123
    }
  ],
  "enableVMDetect": 123,
  "matchDestinations": [
    {
      "typeSrc": "<string>",
      "destType": "<string>",
      "id": 123,
      "order": 123
    }
  ],
  "notMatchDestinations": [
    {
      "typeSrc": "<string>",
      "destType": "<string>",
      "id": 123,
      "order": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
number
required

Campaign ID

Required range: x > 0

Response

Deleted campaign

id
number
required

Campaign ID

tenantId
number
required

Tenant ID

name
string
required

Campaign name

type
string
required

Campaign type

dateStart
string | null
required

Start date

dateEnd
string | null
required

End date

callerId
string | null
required

Caller ID phone number

callDelay
number | null
required

Delay between calls in ms

state
string | null
required

Campaign state

lastrun
string | null
required

Last run timestamp

dialtimeout
number | null
required

Dial timeout in seconds

tech
string | null
required

Technology type

message
string | null
required

Campaign message

timeStart
string | null
required

Start time

timeEnd
string | null
required

End time

timezone
string | null
required

IANA timezone

callFrequency
number | null
required

Call frequency in seconds

callHoursStart
string | null
required

Calling hours start

callHoursEnd
string | null
required

Calling hours end

recording
string | null
required

Recording enabled (yes/no)

numbers
object[]
required

Campaign phone numbers

destinations
object[]
required

Routing destinations

enableVMDetect
number
required

VM detection enabled (1/0)

matchDestinations
object[]
required

VM detect match destinations

notMatchDestinations
object[]
required

VM detect no-match destinations